<div ng-show="VM.testset"
     class="flex card-pane flex-layout-v"
>
    <div class="card-header card-header-no-separator">
        <div class="title">{{VM.testset.nombre}}</div>
        <div class="actions">
            <div class="flex-layout-h">
                <!--<button
                  title="{{ 'COPY' | translate}}"
                  ng-click="">
                    <i class="glyphicon glyphicon-copy"></i>
                </button>-->
                <button
                  class="btn btn-default btn-round-sm fa fa-trash"
                  title="{{ 'DELETE' | translate}}"
                  ng-click="VM.remove()">
                </button>
            </div>
        </div>
    </div>

    <MY-TABS my-tabs-tabs="::VM.sections"
             my-tabs-model="questions.testsetSection"
             my-tabs-disabled="::VM.shouldDisableElement(_param)"
             class="card-content"
    ></MY-TABS>

    <div class="flex flex-layout">
        <!-- === GENERAL INFO === -->
        <div ng-show="VM.shouldShowSection('general')"
             class="flex scrollable-pane flex-layout"
        >
            <div class="padded-pane card-content card-content-last flex flex-layout">
                <!-- === TOP PANE === -->
                <div class="flex flex-layout">
                    <MY-INPUT my-input-type="text"
                              my-input-model="VM.testset.nombre"
                              my-input-label="NAME"
                    ></MY-INPUT>
                    <!-- === DESCRIPTION === -->
                    <MY-INPUT-GROUP my-input-group-label="DESCRIPTION"
                                    my-input-group-label-for="input-tsdescription"
                                    class="flex flex-layout"
                    >
                        <textarea id="input-tsdescription"
                                  ng-model="VM.testset.descripcion"
                                  class="flex form-control"
                        ></textarea>
                    </MY-INPUT-GROUP>
                    <!-- === ERROR MESSAGE === -->
                    <MY-INPUT-GROUP id="testset-errormsg"
                                    my-input-group-label="ERROR_MSG"
                                    my-input-group-label-for="input-tserrormsg"
                                    class="flex flex-layout">
                        <div class="flex flex-layout-h">
                            <div class="flex flex-layout">
                                <textarea id="input-tserrormsg"
                                          ng-if="VM.shouldShowErrormsg('ca')"
                                          ng-model="VM.testset.msgError"
                                          class="flex form-control"
                                ></textarea>
                                <textarea id="input-tserrormsg"
                                          ng-if="VM.shouldShowErrormsg('es')"
                                          ng-model="VM.testset.msgErrorEsp"
                                          class="form-control flex"
                                ></textarea>
                                <textarea id="input-tserrormsg"
                                          ng-if="VM.shouldShowErrormsg('en')"
                                          ng-model="VM.testset.msgErrorIng"
                                          class="form-control flex"
                                ></textarea>
                            </div>
                            <div class="textarea-langs">
                                <button ng-click="VM.showErrormsg('ca')"
                                        ng-class="{active: VM.shouldShowErrormsg('ca')}"
                                >Català</button>
                                <button ng-click="VM.showErrormsg('es')"
                                        ng-class="{active: VM.shouldShowErrormsg('es')}"
                                >Castellano</button>
                                <button ng-click="VM.showErrormsg('en')"
                                        ng-class="{active: VM.shouldShowErrormsg('en')}"
                                >English</button>
                            </div>
                        </div>
                    </MY-INPUT-GROUP>
                </div>
                <!-- === BOTTOM PANE === -->
                <div class="flex-layout-h">
                    <div class="flex">
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.testset.binaria"
                                  my-input-options="o.key as o.val|translate for o in VM.booleanOptions"
                                  my-input-label="BINARYCORR"
                                  class="nowide"
                        ></MY-INPUT>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.testset.mensaje"
                                  my-input-options="o.key as o.val|translate for o in VM.booleanOptions"
                                  my-input-label="MSGCORR"
                                  class="nowide"
                        ></MY-INPUT>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.testset.consumeix"
                                  my-input-options="o.key as o.val|translate for o in VM.booleanOptions"
                                  my-input-label="CONSUMES_ATTEMPT"
                                  class="nowide"
                        ></MY-INPUT>
                    </div>
                    <div class="flex">
                        <MY-INPUT-GROUP my-input-group-label="WEIGHT"
                                        my-input-group-label-for="input-tsweight"
                                        class="nowide"
                        >
                            <input id="input-tsweight"
                                   type="number" min="0" max="1" step="0.05"
                                   ng-model="VM.testset.peso"
                                   class="form-control"
                            />
                        </MY-INPUT-GROUP>
                    </div>
                </div>
            </div>
        </div>
        <!-- === SQL STATEMENTS === -->
        <div ng-show="VM.shouldShowSection('sql')"
             class="flex scrollable-pane flex-layout"
        >
            <div class="flex card-content card-content-last padded-pane flex-layout">
                <div id="testset-sqls-1"
                     class="flex columns-equals"
                >
                    <div class="flex-layout">
                        <MY-INPUT-GROUP my-input-group-label="INITS"
                                        my-input-group-label-for="input-tsinits"
                                        class="flex flex-layout"
                        >
                            <textarea id="input-tsinits"
                                      ng-model="VM.testset.inits"
                                      ng-readonly="VM.shouldDisableElement('inits')"
                                      class="form-control code flex"
                            ></textarea>
                        </MY-INPUT-GROUP>
                    </div>
                    <div class="flex-layout">
                        <MY-INPUT-GROUP my-input-group-label="INPUT"
                                        my-input-group-label-for="input-tsinput"
                                        class="flex flex-layout"
                        >
                            <textarea id="input-tsinput"
                                      ng-model="VM.testset.entrada"
                                      ng-readonly="VM.shouldDisableElement('input')"
                                      class="form-control code flex"
                            ></textarea>
                        </MY-INPUT-GROUP>
                    </div>
                    <div class="flex-layout">
                        <MY-INPUT-GROUP my-input-group-label="CLEANUP"
                                        my-input-group-label-for="input-tscleanup"
                                        class="flex flex-layout"
                        >
                            <textarea id="input-tscleanup"
                                      ng-model="VM.testset.limpieza"
                                      ng-readonly="VM.shouldDisableElement('cleanup')"
                                      class="form-control code flex"
                            ></textarea>
                        </MY-INPUT-GROUP>
                    </div>
                </div>
                <div id="testset-sqls-2"
                     class="flex flex-layout"
                >
                    <MY-INPUT-GROUP my-input-group-label="OUTPUT"
                                    my-input-group-label-for="input-tsoutput"
                                    class="flex flex-layout"
                    >
                        <textarea id="input-tsoutput"
                                  ng-model="VM.testset.salida"
                                  class="form-control code flex"
                                  readonly
                        ></textarea>
                    </MY-INPUT-GROUP>
                </div>
            </div>
        </div>
        <div ng-show="VM.shouldShowSection('checks') && !VM.shouldDisableElement('checks')"
             class="flex card-content card-content-last flex-layout"
        >
            <QUESTION-TESTSET-CHECKS class="flex flex-layout"></QUESTION-TESTSET-CHECKS>
        </div>
    </div>
</div>